# Copyright (c) 2021, SolutionERP LLC and contributors
# For license information, please see license.txt

import xhiveframework
from xhiveframework.model.document import Document


class CRMSettings(Document):
	def validate(self):
		xhiveframework.db.set_default("campaign_naming_by", self.get("campaign_naming_by", ""))
